using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.TL
{
    /// <summary>
    /// 子坝坡岸处理
    /// </summary>
    [Description("子坝坡岸处理")]
    [DataRuleField("DEPARTMENT_ID")]
    public class T_TL_PROJECT_SLOPEBANK : MesEntityBase
    {
        /// <summary>
        /// 尾矿库名称 冗余
        /// </summary>
        [Description("尾矿库名称")]
        [FormFieldTable]
        [FormFieldQuery]
        [DataFieldLength(200)]
        public string TAILING_NAME { get; set; }

        /// <summary>
        /// 尾矿库名称
        /// </summary>
        [Description("尾矿库名称")]
        [DataFieldForeignKey("Nav_Tailing")]
        public Guid? TAILING_ID { get; set; }

        /// <summary>
        /// 尾矿库
        /// </summary>
        [Description("尾矿库")]
        [FormFieldEdit]
        public T_TL_TAILING Nav_Tailing { get; set; }

        /// <summary>
        /// 子坝名称
        /// </summary>
        [Description("子坝名称")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(200)]
        public string NAMESUB { get; set; }

        /// <summary>
        /// 项目编号
        /// </summary>
        [Description("项目编号")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(50)]
        public string CODE { get; set; }

        /// <summary>
        /// 部门
        /// </summary>
        [Description("部门")]
        [DataFieldForeignKey("Nav_Department")]
        public Guid? DEPARTMENT_ID { get; set; }

        /// <summary>
        /// 部门
        /// </summary>
        [Description("部门")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public T_FM_DEPARTMENT Nav_Department { get; set; }

        /// <summary>
        /// 提交人
        /// </summary>
        [Description("提交人")]
        [DataFieldForeignKey("Nav_User")]
        public Guid USER_ID { get; set; }

        /// <summary>
        /// 提交人
        /// </summary>
        [Description("提交人")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public T_FM_USER Nav_User { get; set; }

        /// <summary>
        /// 期数
        /// </summary>
        [Description("期数")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public int COUNTNUM { get; set; }

        /// <summary>
        /// 坡岸处理
        /// </summary>
        [Description("坡岸处理")]
        public ICollection<T_TL_PROJECT_SLOPEBANK_SUB_FILE> Nav_Files_Sub { get; set; }

        /// <summary>
        /// 隐蔽工程
        /// </summary>
        [Description("隐蔽工程")]
        public ICollection<T_TL_PROJECT_SLOPEBANK_PROJ_FILE> Nav_Files_Proj { get; set; }

        /// <summary>
        /// 附件
        /// </summary>
        [Description("附件")]
        public ICollection<T_TL_PROJECT_SLOPEBANK_FILE> Nav_Files { get; set; }

        /// <summary>
        /// 冲刷情况
        /// </summary>
        [Description("冲刷情况")]
        [FormFieldEdit]
        [FormFieldTable]
        [FormFieldQuery]
        public WashSituaction? RESULT { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        [Description("状态")]
        [FormFieldQuery]
        public PFStandardStatus STATUS { get; set; }
    }
}